Loading...
Searching...
No Matches
casacore::ShapesFileWriter Class Reference

`#include <ShapesFileWriter.h>`

## Public Member Functions

| ShapesFileWriter (const std::string &filename)
| ~ShapesFileWriter ()
void | Write (const IPosition &position)

## Private Member Functions

void | Flush ()

## Private Attributes

std::vector< uint64_t > | buffer_
std::vector< std::byte > | compressed_buffer_
deflate::Compressor | compressor_
std::ofstream | file_

## Static Private Attributes

static constexpr size_t | kMaxBufferSize

## Detailed Description

Definition at line 12 of file ShapesFileWriter.h.

## Constructor & Destructor Documentation

## ShapesFileWriter()

casacore::ShapesFileWriter::ShapesFileWriter | ( | const std::string & | filename | ) |

inline

Definition at line 14 of file ShapesFileWriter.h.

References compressor_, and file_.

## ~ShapesFileWriter()

casacore::ShapesFileWriter::~ShapesFileWriter | ( |  | ) |

inline

Definition at line 17 of file ShapesFileWriter.h.

References buffer_, and Flush().

## Member Function Documentation

## Flush()

void casacore::ShapesFileWriter::Flush | ( |  | ) |

inline private

Definition at line 31 of file ShapesFileWriter.h.

References buffer_, compressed_buffer_, compressor_, and file_.

Referenced by Write(), and ~ShapesFileWriter().

## Write()

void casacore::ShapesFileWriter::Write | ( | const IPosition & | position | ) |

inline

Definition at line 21 of file ShapesFileWriter.h.

References buffer_, Flush(), kMaxBufferSize, casacore::NewDelAllocator< T >::value, and casacore::IPosition::size().

## Member Data Documentation

## buffer_

std::vector<uint64_t> casacore::ShapesFileWriter::buffer_

private

Definition at line 48 of file ShapesFileWriter.h.

Referenced by Flush(), Write(), and ~ShapesFileWriter().

## compressed_buffer_

std::vector<std::byte> casacore::ShapesFileWriter::compressed_buffer_

private

Definition at line 49 of file ShapesFileWriter.h.

Referenced by Flush().

## compressor_

deflate::Compressor casacore::ShapesFileWriter::compressor_

private

Definition at line 50 of file ShapesFileWriter.h.

Referenced by Flush(), and ShapesFileWriter().

## file_

std::ofstream casacore::ShapesFileWriter::file_

private

Definition at line 51 of file ShapesFileWriter.h.

Referenced by Flush(), and ShapesFileWriter().

## kMaxBufferSize

size_t casacore::ShapesFileWriter::kMaxBufferSize

static constexpr private

Definition at line 47 of file ShapesFileWriter.h.

Referenced by Write().

The documentation for this class was generated from the following file:

- tables/AlternateMans/ShapesFileWriter.h